function saida_cr (crNao_aplica, crCorrelacao, crRegressao);
% saida_cr imprime a resposta da consulta a SESHET
% em formato GUI
%   
%   
%   

crNao_aplica = crNao_aplica*100;
crCorrelacao = crCorrelacao*100;
crRegressao = crRegressao*100;


labelList=[
   'No se aplica Correlao ou Regresso para este caso, nesta disciplina ', sprintf('%6.2f',crNao_aplica), 
   'Anlise de Correlao ______________________________                   ', sprintf('%6.2f',crCorrelacao),
   'Anlise de Regresso _____________________________                     ', sprintf('%6.2f',crRegressao)];
 

nameList=[
    'crNao_aplica        '
    'crCorrelacao        '
    'crRegressao         '];


figNum=figure('name', 'Respostas possveis pelo SESHET-S (em valores percentuais)',...
    'NumberTitle','off', ...
    'Visible','off',...
    'HandleVisibility','callback');
 
pos = get(figNum,'position');
pos(3) = .8 * pos(3);
set(figNum,'Position',pos)
hBorder = 0.06;
uicontrol(figNum, 'Style', 'listbox', ...
    'units','norm',...
    'Position',[hBorder .22 1-2*hBorder .7],...
    'String', labelList,  ...
    'Tag', 'listbox');
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .12 1-2*hBorder .06],...
    'String', 'Rode este exemplo',...
    'Callback',@LocalRunDemo); 
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .04 1-2*hBorder .06],...
    'String', 'Fechar',...
    'Callback', 'close(gcbf)'); 
set(figNum,'Visible','on','Userdata', nameList)


%----------------

function LocalRunDemo(hSrc,event)

nameList=get(gcbf, 'Userdata');
listHndl=findobj(gcbf, 'Tag', 'listbox');
index=get(listHndl, 'Value');
eval(deblank(nameList(index,:)));

