function saida_ic (icNao_aplica, icMediaVD, icMediaVC, icProporcao, icVariancia);
% saida_ic imprime a resposta da consulta a SESHET
% em formato GUI
%   
%   
%   

icNao_aplica = icNao_aplica*100;
icMediaVD = icMediaVD*100;
icMediaVC = icMediaVC*100;
icProporcao = icProporcao*100;
icVariancia = icVariancia*100;

labelList=[
    'Intervalo de Confiana no se aplica neste caso  _________________ ', sprintf('%6.2f',icNao_aplica),
    'Intervalo de Confiana para uma Mdia com Varincia Desconhecida  _', sprintf('%6.2f',icMediaVD),
    'Intervalo de Confiana para uma Mdia com Varincia Conhecida  ____', sprintf('%6.2f',icMediaVC),
    'Intervalo de Confiana para uma Proporo  __________________      ', sprintf('%6.2f',icProporcao),
    'Intervalo de Confiana para uma Varincia  ____________________    ', sprintf('%6.2f',icVariancia)];

nameList=[
    'icNao_aplica      '
    'icMediaVD         '
    'icMediaVC         '
    'icProporcao       '
    'icVariancia       '];


figNum=figure('name', 'Respostas possveis pelo SESHET-S',...
    'NumberTitle','off', ...
    'Visible','off',...
    'HandleVisibility','callback');
 
pos = get(figNum,'position');
pos(3) = .8 * pos(3);
set(figNum,'Position',pos)
hBorder = 0.06;
uicontrol(figNum, 'Style', 'listbox', ...
    'units','norm',...
    'Position',[hBorder .22 1-2*hBorder .7],...
    'String', labelList,  ...
    'Tag', 'listbox');
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .12 1-2*hBorder .06],...
    'String', 'Rode este exemplo',...
    'Callback',@LocalRunDemo); 
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .04 1-2*hBorder .06],...
    'String', 'Fechar',...
    'Callback', 'close(gcbf)'); 
set(figNum,'Visible','on','Userdata', nameList)


%----------------

function LocalRunDemo(hSrc,event)

nameList=get(gcbf, 'Userdata');
listHndl=findobj(gcbf, 'Tag', 'listbox');
index=get(listHndl, 'Value');
eval(deblank(nameList(index,:)));

