function sainopar(Nao_aplica, testeSinais, testeWilcox, testeWMW, testeKW, testeFried);
% sainopar imprime a resposta da consulta a SESHET
% em formato GUI
%   
%   
%   

Nao_aplica = Nao_aplica*100;
testeSinais = testeSinais*100;
testeWilcox = testeWilcox*100;
testeWMW = testeWMW*100;
testeKW = testeKW*100;
testeFried = testeFried*100;

labelList=[
    'No se aplica Teste Nao-paramtrico para este caso, nesta disciplina    ', sprintf('%6.2f',Nao_aplica),
    'Teste dos Sinais  _______________________________                       ', sprintf('%6.2f',testeSinais),
    'Teste de Wilcoxon  ____________________________                         ', sprintf('%6.2f',testeWilcox),
    'Teste de Wilcoxon-Mann-Whitney  _________________                       ', sprintf('%6.2f',testeWMW),
    'Teste de Kruskall-Wallis  ___________________________                   ', sprintf('%6.2f',testeKW),
    'Teste de Friedman  ____________________________                         ', sprintf('%6.2f',testeFried)];

nameList=[
    'Nao_aplica        '
    'testeSinais       '
    'testeWilcox       '
    'testeWMW          '
    'testeKW           '
    'testeFried        '
];


figNum=figure('name', 'Respostas possveis pelo SESHET-S (em valores percentuais)',...
    'NumberTitle','off', ...
    'Visible','off',...
    'HandleVisibility','callback');
 
pos = get(figNum,'position');
pos(3) = .8 * pos(3);
set(figNum,'Position',pos)
hBorder = 0.06;
uicontrol(figNum, 'Style', 'listbox', ...
    'units','norm',...
    'Position',[hBorder .22 1-2*hBorder .7],...
    'String', labelList,  ...
    'Tag', 'listbox');
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .12 1-2*hBorder .06],...
    'String', 'Rode este exemplo',...
    'Callback',@LocalRunDemo); 
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .04 1-2*hBorder .06],...
    'String', 'Fechar',...
    'Callback', 'close(gcbf)'); 
set(figNum,'Visible','on','Userdata', nameList)


%----------------

function LocalRunDemo(hSrc,event)

nameList=get(gcbf, 'Userdata');
listHndl=findobj(gcbf, 'Tag', 'listbox');
index=get(listHndl, 'Value');
eval(deblank(nameList(index,:)));

