function saida_dp (bernoul, binomi, poisson, normal);
% saida_dp imprime a resposta da consulta a SESHET
% em formato GUI
%   
%   
%   

bernoul = bernoul*100;
binomi = binomi*100;
poisson = poisson*100;
normal = normal*100;

labelList=[
    'Distribuio de Bernoulli      _____________________________           ', sprintf('%6.2f',bernoul),
    'Distribuio Binomial   _______________________________                ', sprintf('%6.2f',binomi),
    'Distribuio de Poisson     _____________________________              ', sprintf('%6.2f',poisson),
    'Distribuio Normal      ________________________________              ', sprintf('%6.2f',normal)];

nameList=[
    'bernoul         '
    'binomi          '
    'poisson         '
    'normal          '];


figNum=figure('name', 'Respostas possveis pelo SESHET-S',...
    'NumberTitle','off', ...
    'Visible','off',...
    'HandleVisibility','callback');
 
pos = get(figNum,'position');
pos(3) = .8 * pos(3);
set(figNum,'Position',pos)
hBorder = 0.06;
uicontrol(figNum, 'Style', 'listbox', ...
    'units','norm',...
    'Position',[hBorder .22 1-2*hBorder .7],...
    'String', labelList,  ...
    'Tag', 'listbox');
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .12 1-2*hBorder .06],...
    'String', 'Rode este exemplo',...
    'Callback',@LocalRunDemo); 
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .04 1-2*hBorder .06],...
    'String', 'Fechar',...
    'Callback', 'close(gcbf)'); 
set(figNum,'Visible','on','Userdata', nameList)


%----------------

function LocalRunDemo(hSrc,event)

nameList=get(gcbf, 'Userdata');
listHndl=findobj(gcbf, 'Tag', 'listbox');
index=get(listHndl, 'Value');
eval(deblank(nameList(index,:)));

