function saida_va (nao_var, amplitu_na, var_dp_na, coef_var_na, ...
            amplitu_ag, var_dp_ag, coef_var_ag);
% saida_tc imprime a resposta da consulta a SESHET
% em formato GUI
%   
%   
%   

nao_var = nao_var*100;
amplitu_na = amplitu_na*100;
var_dp_na = var_dp_na*100;
coef_var_na = coef_var_na*100;
amplitu_ag = amplitu_ag*100;
var_dp_ag = var_dp_ag*100;
coef_var_ag = coef_var_ag*100;

labelList=[
    'No se aplica Medidas de Variao  ____________________               ', sprintf('%6.2f',nao_var),
    'Amplitude Total para dados no agrupados  ________________            ', sprintf('%6.2f',amplitu_na),
    'Varincia ou Desvio-padro para dados no agrupados ________          ', sprintf('%6.2f',var_dp_na),
    'Coeficiente de Variao para dados no agrupados  ___________         ', sprintf('%6.2f',coef_var_na),
    'Amplitude Total para dados agrupados  ___________________             ', sprintf('%6.2f',amplitu_ag),
    'Varincia ou Desvio-padro para dados agrupados  ___________          ', sprintf('%6.2f',var_dp_ag),
    'Coeficiente de Variao para dados agrupados  ______________          ', sprintf('%6.2f',coef_var_ag)];

nameList=[
    'nao_var            '
    'amplitu_na         '
    'var_dp_na          '
    'coef_var_na        '
    'amplitu_ag         '
    'var_dp_ag          '
    'coef_var_ag        '];


figNum=figure('name', 'Respostas possveis pelo SESHET-S (em valores percentuais)',...
    'NumberTitle','off', ...
    'Visible','off',...
    'HandleVisibility','callback');
 
pos = get(figNum,'position');
pos(3) = .8 * pos(3);
set(figNum,'Position',pos)
hBorder = 0.06;
uicontrol(figNum, 'Style', 'listbox', ...
    'units','norm',...
    'Position',[hBorder .22 1-2*hBorder .7],...
    'String', labelList,  ...
    'Tag', 'listbox');
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .12 1-2*hBorder .06],...
    'String', 'Rode este exemplo',...
    'Callback',@LocalRunDemo); 
uicontrol(figNum, 'Style', 'pushbutton', ...
    'units','norm',...
    'Position',[hBorder .04 1-2*hBorder .06],...
    'String', 'Fechar',...
    'Callback', 'close(gcbf)'); 
set(figNum,'Visible','on','Userdata', nameList)


%----------------

function LocalRunDemo(hSrc,event)

nameList=get(gcbf, 'Userdata');
listHndl=findobj(gcbf, 'Tag', 'listbox');
index=get(listHndl, 'Value');
eval(deblank(nameList(index,:)));

